var keystashVersionCompatible = '1.3.3';
var getStateUrl = 'http://localhost:7876/nxt?requestType=getState';
var getStateTestnetUrl = 'http://localhost:6876/nxt?requestType=getState';
var nxtCoreVersion = null;
var check = 0;



try {
    pluginCheckCompatible();
} catch (err) {
    if (check == 0) {
        $.growl("<strong>Warning: </strong>Plugin check failed.", {"type": "danger", "offset": 50, "delay": 30000});
    }
}


function pluginCheckCompatible() {
    
    if (window.location.port != "6876") {
        try {
            $.getJSON(getStateUrl, function (json) {
                nxtCoreVersion = json.version;
                if (nxtCoreVersion != 'null') {
                    if (nxtCoreVersion != keystashVersionCompatible) {
                        $.growl("<strong>Warning: </strong>Plugin might be not compatible with this NRS.", {"type": "danger", "offset": 50, "delay": 30000});
                    }
                }
            });
        } catch (err) {
            check = 1;
        }
    }

    if (window.location.port != "7876") {
        try {
            $.getJSON(getStateTestnetUrl, function (json) {
                nxtCoreVersion = json.version;
                if (nxtCoreVersion != 'null') {
                    if (nxtCoreVersion != keystashVersionCompatible) {
                        $.growl("<strong>Warning: </strong>Plugin might be not compatible with this NRS.", {"type": "danger", "offset": 50, "delay": 30000});
                    }
                } else {
                }
            });
        } catch (err) {
            check = 1;
        }
    }

}